List Recurring Incentive

List all Recurring Incentives of a company.

Authentication

This endpoint accepts any one of the following token types:

  • Company-scoped access token (OAuth2AuthorizationCode) — obtained by a company manager through the Authorization Code flow or the Refresh Token flow. See Authentication for partners.
  • Company-scoped access token (assertion) (OAuth2CompanyManagerAssertion) — obtained through the urn:ietf:params:oauth:grant-type:jwt-bearer grant for a company manager. See OAuth Assertion.
  • Customer API token (CustomerAPIToken) — generated by the customer on their Integration Settings page, with the scopes they choose there. See Authorization for customers.

Scopes

Any one of the scopes in a token type's row is enough. all:read and all:write work too.

Token typeCategoryRead only ScopeWrite only Scope (read access implicit)
Company-scoped access tokenManage expenses (employment_payments)View incentives (incentive:read)Manage incentives (incentive:write)
Company-scoped access token (assertion)Manage expenses (employment_payments)View incentives (incentive:read)Manage incentives (incentive:write)
Customer API tokenManage expenses (employment_payments)View incentives (incentive:read)Manage incentives (incentive:write)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Filter by recurring incentive status: active or deactive.

string

Filter by recurring incentive type.

string

Filter by recurring incentives that contain the value in their notes.

integer

Starts fetching records after the given page

integer

Change the amount of records returned per page, defaults to 20, limited to 100

Responses

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json